com.creamtec.core

## Class StringUtilities

- java.lang.Object
- - com.creamtec.core.StringUtilities

-     public class StringUtilities
      extends java.lang.Object

  Helper class for various string manipulations

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringUtilities()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.StringBuilder` | `appendToLazyBuffer(java.lang.StringBuilder buffer, char ch, int initialLength)`
    `static java.lang.StringBuilder` | `appendToLazyBuffer(java.lang.StringBuilder buffer, java.lang.String string, int initialLength)`
    `static boolean` | `isEmpty(java.lang.String str)`
    `static java.lang.String` | `replaceParameters(java.lang.String text, java.util.Properties params)` Replaces the parameters inside the string with the values given in the properties object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtilities

          public StringUtilities()

  - ### Method Detail

    - #### replaceParameters

          public static java.lang.String replaceParameters(java.lang.String text,
                                           java.util.Properties params)
                                                    throws java.lang.IllegalArgumentException

      Replaces the parameters inside the string with the values given in the properties object. The parameters in the string should be enclosed in {}, for example {name}.
      Parameters:
        `text` - string template with parameters
        `params` - Properties
      Returns:
        parameterized string
      Throws:
        `java.lang.IllegalArgumentException`

    - #### appendToLazyBuffer

          public static java.lang.StringBuilder appendToLazyBuffer(java.lang.StringBuilder buffer,
                                                   char ch,
                                                   int initialLength)

    - #### appendToLazyBuffer

          public static java.lang.StringBuilder appendToLazyBuffer(java.lang.StringBuilder buffer,
                                                   java.lang.String string,
                                                   int initialLength)

    - #### isEmpty

          public static boolean isEmpty(java.lang.String str)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.